/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec2(np.uint64(10)ul, np.uint64(12)ul) << i64vec2(np.int64(13)l, np.int64(63)l)) => u64vec2(np.uint64(81920)ul, np.uint64(0)ul)
 * (u64vec2(np.uint64(42)ul, np.uint64(48)ul) << i64vec2(np.int64(13)l, np.int64(63)l)) => u64vec2(np.uint64(344064)ul, np.uint64(0)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec2(np.uint64(10)ul, np.uint64(12)ul) << i64vec2(np.int64(13)l, np.int64(63)l)), u64vec2(np.uint64(81920)ul, np.uint64(0)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec2(np.uint64(42)ul, np.uint64(48)ul) << i64vec2(np.int64(13)l, np.int64(63)l)), u64vec2(np.uint64(344064)ul, np.uint64(0)ul))) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
