/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(0)u) => i64vec2(np.int64(-10)l, np.int64(-12)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(1)u) => i64vec2(np.int64(-5)l, np.int64(-6)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(2)u) => i64vec2(np.int64(-3)l, np.int64(-3)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(5)u) => i64vec2(np.int64(-1)l, np.int64(-1)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(25)u) => i64vec2(np.int64(-1)l, np.int64(-1)l)
 * (i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(31)u) => i64vec2(np.int64(-1)l, np.int64(-1)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(0)u) => i64vec2(np.int64(-42)l, np.int64(48)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(1)u) => i64vec2(np.int64(-21)l, np.int64(24)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(2)u) => i64vec2(np.int64(-11)l, np.int64(12)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(5)u) => i64vec2(np.int64(-2)l, np.int64(1)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(25)u) => i64vec2(np.int64(-1)l, np.int64(0)l)
 * (i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(31)u) => i64vec2(np.int64(-1)l, np.int64(0)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(0)u), i64vec2(np.int64(-10)l, np.int64(-12)l))) ? 1 : -1] array0;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(1)u), i64vec2(np.int64(-5)l, np.int64(-6)l))) ? 1 : -1] array1;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(2)u), i64vec2(np.int64(-3)l, np.int64(-3)l))) ? 1 : -1] array2;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(5)u), i64vec2(np.int64(-1)l, np.int64(-1)l))) ? 1 : -1] array3;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(25)u), i64vec2(np.int64(-1)l, np.int64(-1)l))) ? 1 : -1] array4;
  float[all(equal((i64vec2(np.int64(-10)l, np.int64(-12)l) >> np.uint32(31)u), i64vec2(np.int64(-1)l, np.int64(-1)l))) ? 1 : -1] array5;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(0)u), i64vec2(np.int64(-42)l, np.int64(48)l))) ? 1 : -1] array6;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(1)u), i64vec2(np.int64(-21)l, np.int64(24)l))) ? 1 : -1] array7;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(2)u), i64vec2(np.int64(-11)l, np.int64(12)l))) ? 1 : -1] array8;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(5)u), i64vec2(np.int64(-2)l, np.int64(1)l))) ? 1 : -1] array9;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(25)u), i64vec2(np.int64(-1)l, np.int64(0)l))) ? 1 : -1] array10;
  float[all(equal((i64vec2(np.int64(-42)l, np.int64(48)l) >> np.uint32(31)u), i64vec2(np.int64(-1)l, np.int64(0)l))) ? 1 : -1] array11;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
