/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(-0.06), np.float32(-1.7), np.float32(-1.88))
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(1.64), np.float32(-0.19), np.float32(0.93))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(1.64), np.float32(-0.19), np.float32(0.93))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(3.34), np.float32(1.32), np.float32(3.74))
 */
#version 120

void main()
{
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(-0.06), np.float32(-1.7), np.float32(-1.88))) <= np.float32(2.5353502e-05) ? 1 : -1] array0;
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) + vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(1.64), np.float32(-0.19), np.float32(0.93))) <= np.float32(1.8948878e-05) ? 1 : -1] array1;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(1.64), np.float32(-0.19), np.float32(0.93))) <= np.float32(1.8948878e-05) ? 1 : -1] array2;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) + vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(3.34), np.float32(1.32), np.float32(3.74))) <= np.float32(5.1851326e-05) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
