/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))) => ivec4(np.int32(76), np.int32(76), np.int32(92), np.int32(76))
 * (np.int32(12) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))) => ivec4(np.int32(76), np.int32(76), np.int32(92), np.int32(76))
 * (np.int32(12) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))) => ivec4(np.int32(28), np.int32(44), np.int32(31), np.int32(76))
 * (np.int32(12) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))) => ivec4(np.int32(28), np.int32(44), np.int32(31), np.int32(76))
 * (np.int32(-6) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))) => ivec4(np.int32(-6), np.int32(-6), np.int32(-6), np.int32(-2))
 * (np.int32(-6) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))) => ivec4(np.int32(-6), np.int32(-6), np.int32(-6), np.int32(-2))
 * (np.int32(-6) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))) => ivec4(np.int32(-6), np.int32(-6), np.int32(-1), np.int32(-6))
 * (np.int32(-6) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))) => ivec4(np.int32(-6), np.int32(-6), np.int32(-1), np.int32(-6))
 * (np.int32(76) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))) => ivec4(np.int32(76), np.int32(76), np.int32(92), np.int32(76))
 * (np.int32(76) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))) => ivec4(np.int32(76), np.int32(76), np.int32(92), np.int32(76))
 * (np.int32(76) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))) => ivec4(np.int32(92), np.int32(108), np.int32(95), np.int32(76))
 * (np.int32(76) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))) => ivec4(np.int32(92), np.int32(108), np.int32(95), np.int32(76))
 * (np.int32(-32) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))) => ivec4(np.int32(-32), np.int32(-24), np.int32(-8), np.int32(-20))
 * (np.int32(-32) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))) => ivec4(np.int32(-32), np.int32(-24), np.int32(-8), np.int32(-20))
 * (np.int32(-32) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))) => ivec4(np.int32(-8), np.int32(-24), np.int32(-9), np.int32(-32))
 * (np.int32(-32) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))) => ivec4(np.int32(-8), np.int32(-24), np.int32(-9), np.int32(-32))
 * (np.int32(0) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))) => ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))
 * (np.int32(0) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))) => ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76))
 * (np.int32(0) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))) => ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))
 * (np.int32(0) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))) => ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64))
 */
#version 130

void main()
{
  float[all(equal((np.int32(12) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))), ivec4(np.int32(76), np.int32(76), np.int32(92), np.int32(76)))) ? 1 : -1] array0;
  float[all(equal((np.int32(12) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))), ivec4(np.int32(76), np.int32(76), np.int32(92), np.int32(76)))) ? 1 : -1] array1;
  float[all(equal((np.int32(12) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))), ivec4(np.int32(28), np.int32(44), np.int32(31), np.int32(76)))) ? 1 : -1] array2;
  float[all(equal((np.int32(12) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))), ivec4(np.int32(28), np.int32(44), np.int32(31), np.int32(76)))) ? 1 : -1] array3;
  float[all(equal((np.int32(-6) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))), ivec4(np.int32(-6), np.int32(-6), np.int32(-6), np.int32(-2)))) ? 1 : -1] array4;
  float[all(equal((np.int32(-6) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))), ivec4(np.int32(-6), np.int32(-6), np.int32(-6), np.int32(-2)))) ? 1 : -1] array5;
  float[all(equal((np.int32(-6) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))), ivec4(np.int32(-6), np.int32(-6), np.int32(-1), np.int32(-6)))) ? 1 : -1] array6;
  float[all(equal((np.int32(-6) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))), ivec4(np.int32(-6), np.int32(-6), np.int32(-1), np.int32(-6)))) ? 1 : -1] array7;
  float[all(equal((np.int32(76) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))), ivec4(np.int32(76), np.int32(76), np.int32(92), np.int32(76)))) ? 1 : -1] array8;
  float[all(equal((np.int32(76) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))), ivec4(np.int32(76), np.int32(76), np.int32(92), np.int32(76)))) ? 1 : -1] array9;
  float[all(equal((np.int32(76) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))), ivec4(np.int32(92), np.int32(108), np.int32(95), np.int32(76)))) ? 1 : -1] array10;
  float[all(equal((np.int32(76) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))), ivec4(np.int32(92), np.int32(108), np.int32(95), np.int32(76)))) ? 1 : -1] array11;
  float[all(equal((np.int32(-32) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))), ivec4(np.int32(-32), np.int32(-24), np.int32(-8), np.int32(-20)))) ? 1 : -1] array12;
  float[all(equal((np.int32(-32) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))), ivec4(np.int32(-32), np.int32(-24), np.int32(-8), np.int32(-20)))) ? 1 : -1] array13;
  float[all(equal((np.int32(-32) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))), ivec4(np.int32(-8), np.int32(-24), np.int32(-9), np.int32(-32)))) ? 1 : -1] array14;
  float[all(equal((np.int32(-32) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))), ivec4(np.int32(-8), np.int32(-24), np.int32(-9), np.int32(-32)))) ? 1 : -1] array15;
  float[all(equal((np.int32(0) | abs(- ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)))), ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))) ? 1 : -1] array16;
  float[all(equal((np.int32(0) | abs(- ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))), ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)))) ? 1 : -1] array17;
  float[all(equal((np.int32(0) | abs(- ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)))), ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))) ? 1 : -1] array18;
  float[all(equal((np.int32(0) | abs(- ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))), ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)))) ? 1 : -1] array19;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
