/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * atan(vec2(np.float32(0.0), np.float32(1e-10))) => vec2(np.float32(0.0), np.float32(1e-10))
 * atan(vec2(np.float32(-1e-10), np.float32(0.1))) => vec2(np.float32(-1e-10), np.float32(0.09966865))
 * atan(vec2(np.float32(-0.1), np.float32(1.0))) => vec2(np.float32(-0.09966865), np.float32(0.7853982))
 * atan(vec2(np.float32(-1.0), np.float32(10.0))) => vec2(np.float32(-0.7853982), np.float32(1.4711276))
 * atan(vec2(np.float32(-10.0), np.float32(10000000000.0))) => vec2(np.float32(-1.4711276), np.float32(1.5707964))
 * atan(vec2(np.float32(-10000000000.0), np.float32(0.0))) => vec2(np.float32(-1.5707964), np.float32(0.0))
 */
#version 150

void main()
{
  float[distance(atan(vec2(np.float32(0.0), np.float32(1e-10))), vec2(np.float32(0.0), np.float32(1e-10))) <= np.float32(0.00014142135) ? 1 : -1] array0;
  float[distance(atan(vec2(np.float32(-1e-10), np.float32(0.1))), vec2(np.float32(-1e-10), np.float32(0.09966865))) <= np.float32(0.00014142135) ? 1 : -1] array1;
  float[distance(atan(vec2(np.float32(-0.1), np.float32(1.0))), vec2(np.float32(-0.09966865), np.float32(0.7853982))) <= np.float32(0.0007917388) ? 1 : -1] array2;
  float[distance(atan(vec2(np.float32(-1.0), np.float32(10.0))), vec2(np.float32(-0.7853982), np.float32(1.4711276))) <= np.float32(0.0016676531) ? 1 : -1] array3;
  float[distance(atan(vec2(np.float32(-10.0), np.float32(10000000000.0))), vec2(np.float32(-1.4711276), np.float32(1.5707964))) <= np.float32(0.0021521193) ? 1 : -1] array4;
  float[distance(atan(vec2(np.float32(-10000000000.0), np.float32(0.0))), vec2(np.float32(-1.5707964), np.float32(0.0))) <= np.float32(0.0015739762) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
