/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71)) != mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71))) => false
 * (mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71)) != mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76))) => true
 * (mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76)) != mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71))) => true
 * (mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76)) != mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76))) => false
 */
#version 150

void main()
{
  float[(mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71)) != mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71))) == false ? 1 : -1] array0;
  float[(mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71)) != mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76))) == true ? 1 : -1] array1;
  float[(mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76)) != mat3x4(np.float32(1.42), np.float32(1.8), np.float32(-1.88), np.float32(1.37), np.float32(-0.86), np.float32(-1.74), np.float32(-0.37), np.float32(1.9), np.float32(0.27), np.float32(0.04), np.float32(0.43), np.float32(0.71))) == true ? 1 : -1] array2;
  float[(mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76)) != mat3x4(np.float32(-1.72), np.float32(-0.31), np.float32(0.14), np.float32(0.4), np.float32(0.09), np.float32(-1.58), np.float32(0.18), np.float32(-0.77), np.float32(0.45), np.float32(1.92), np.float32(-0.56), np.float32(1.76))) == false ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
